Create 3RI (merchant-initiated) 3DS session
curl --request POST \
--url https://api.tagada.io/api/public/v1/threeds/create-merchant-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "<string>",
"paymentInstrumentId": "<string>",
"storeId": "<string>"
}
'import requests
url = "https://api.tagada.io/api/public/v1/threeds/create-merchant-session"
payload = {
"tokenId": "<string>",
"paymentInstrumentId": "<string>",
"storeId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tokenId: '<string>', paymentInstrumentId: '<string>', storeId: '<string>'})
};
fetch('https://api.tagada.io/api/public/v1/threeds/create-merchant-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}3ds
Create 3RI (merchant-initiated) 3DS session
Create a server-side 3DS session for merchant-initiated (3RI) authentication. No browser or device info needed — uses just the card token. Used for recurring rebill authentication without cardholder interaction.
Requires: org:admin role
POST
/
api
/
public
/
v1
/
threeds
/
create-merchant-session
Create 3RI (merchant-initiated) 3DS session
⌘I
